package com.koobietech.eas.service;

import com.koobietech.eas.common.result.PageDataResult;
import com.koobietech.eas.dao.dto.ConflictDto;
import com.koobietech.eas.mbg.model.EasEduSchedule;

public interface EasEduScheduleService {
    Boolean add(EasEduSchedule schedule, int repeatTime);

    Boolean delete(Long id);

    Boolean update(EasEduSchedule schedule);

    PageDataResult query(EasEduSchedule schedule);

    Boolean queryConflict(ConflictDto conflictDto);
}
